Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGPathSegList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGPathSegList

All Implemented Interfaces:
  SVGPathSegConstants, SVGPathSegList

Direct Known Subclasses:
  SVGOMAnimatedPathData.SVGOMPathSegList

public abstract class AbstractSVGPathSegList
extends AbstractSVGList
implements SVGPathSegList, SVGPathSegConstants

This class is the implementation of `SVGPathSegList`.

Nested Class Summary
`protected class` | `AbstractSVGPathSegList.PathSegListBuilder`
`class` | `AbstractSVGPathSegList.SVGPathSegArcItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem`
`class` | `AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem`
`protected class` | `AbstractSVGPathSegList.SVGPathSegItem` Internal representation of the item SVGPathSeg.
`class` | `AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem`
`class` | `AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem`
`class` | `AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem`

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static java.lang.String` | `SVG_PATHSEG_LIST_SEPARATOR` Separator for a point list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Fields inherited from interface org.apache.batik.dom.svg.SVGPathSegConstants
`PATHSEG_ARC_ABS_LETTER, PATHSEG_ARC_REL_LETTER, PATHSEG_CLOSEPATH_LETTER, PATHSEG_CURVETO_CUBIC_ABS_LETTER, PATHSEG_CURVETO_CUBIC_REL_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_REL_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER, PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER, PATHSEG_LINETO_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_ABS_LETTER, PATHSEG_LINETO_HORIZONTAL_REL_LETTER, PATHSEG_LINETO_REL_LETTER, PATHSEG_LINETO_VERTICAL_ABS_LETTER, PATHSEG_LINETO_VERTICAL_REL_LETTER, PATHSEG_MOVETO_ABS_LETTER, PATHSEG_MOVETO_REL_LETTER`

Constructor Summary
`protected` | `AbstractSVGPathSegList()` Creates a new SVGPathSegList.

Method Summary
`SVGPathSeg` | `appendItem(SVGPathSeg newItem)`
`protected void` | `checkItemType(java.lang.Object newItem)` Check if the item is an SVGPathSeg.
`protected AbstractSVGPathSegList.SVGPathSegItem` | `createPathSegItem(SVGPathSeg pathSeg)` create an SVGItem representing this SVGPathSeg.
`protected abstract SVGException` | `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` | `createSVGItem(java.lang.Object newItem)` Return the item to be placed in the list.
`protected void` | `doParse(java.lang.String value, ListHandler handler)` Parse the 'd' attribute.
`SVGPathSeg` | `getItem(int index)`
`protected java.lang.String` | `getItemSeparator()` Return the separator between segments in the list.
`SVGPathSeg` | `initialize(SVGPathSeg newItem)`
`SVGPathSeg` | `insertItemBefore(SVGPathSeg newItem, int index)`
`SVGPathSeg` | `removeItem(int index)`
`SVGPathSeg` | `replaceItem(SVGPathSeg newItem, int index)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGPathSegList
`clear, getNumberOfItems`

Field Detail

### SVG_PATHSEG_LIST_SEPARATOR

    public static final java.lang.String SVG_PATHSEG_LIST_SEPARATOR

  Separator for a point list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGPathSegList

    protected AbstractSVGPathSegList()

  Creates a new SVGPathSegList.

Method Detail

### getItemSeparator

    protected java.lang.String getItemSeparator()

  Return the separator between segments in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`
  Returns:
    separator of items in the list

### createSVGException

    protected abstract SVGException createSVGException(short type,
                                                       java.lang.String key,
                                                       java.lang.Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### initialize

    public SVGPathSeg initialize(SVGPathSeg newItem)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Specified by:
    `initialize` in interface `SVGPathSegList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGPathSeg getItem(int index)
                       throws org.w3c.dom.DOMException

  Specified by:
    `getItem` in interface `SVGPathSegList`
  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGPathSeg insertItemBefore(SVGPathSeg newItem,
                                       int index)
                                throws org.w3c.dom.DOMException,
                                       SVGException

  Specified by:
    `insertItemBefore` in interface `SVGPathSegList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGPathSeg replaceItem(SVGPathSeg newItem,
                                  int index)
                           throws org.w3c.dom.DOMException,
                                  SVGException

  Specified by:
    `replaceItem` in interface `SVGPathSegList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGPathSeg removeItem(int index)
                          throws org.w3c.dom.DOMException

  Specified by:
    `removeItem` in interface `SVGPathSegList`
  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGPathSeg appendItem(SVGPathSeg newItem)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Specified by:
    `appendItem` in interface `SVGPathSegList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### createSVGItem

    protected SVGItem createSVGItem(java.lang.Object newItem)

  Description copied from class: `AbstractSVGList`
  Return the item to be placed in the list. According to the parameter of the real SVGList represented here by an `Object` the implementation provide an item to be placed in the list.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - paramter of the modification method of the list
  Returns:
    an item to be placed in the list.

### doParse

    protected void doParse(java.lang.String value,
                           ListHandler handler)
                    throws ParseException

  Parse the 'd' attribute.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - 'd' attribute value
    `handler` - : list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(java.lang.Object newItem)

  Check if the item is an SVGPathSeg.

  Specified by:
    `checkItemType` in class `AbstractSVGList`
  Parameters:
    `newItem` - object to test

### createPathSegItem

    protected AbstractSVGPathSegList.SVGPathSegItem createPathSegItem(SVGPathSeg pathSeg)

  create an SVGItem representing this SVGPathSeg.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.